Tomcat 6 should not require Java 6

Bug #286427 reported by Thierry Carrez on 2008-10-20
2
Affects Status Importance Assigned to Milestone
tomcat6 (Ubuntu)
Wishlist
Thierry Carrez

Bug Description

Binary package hint: tomcat6

According to http://tomcat.apache.org/migration.html, Tomcat 6 requires Java 5. However, the packages require "default-jre-headless | java6-runtime-headless", which rules out usage of a Java 5 JRE. Furthermore, Tomcat 6 JARs are bytecoded at Java 6 level, which prevents usage with a Java 5 environement.

There is no reason for that, please support Java 5 as well.

Thierry Carrez (ttx) on 2008-10-20
Changed in tomcat6:
importance: Undecided → Wishlist
status: New → Triaged
Thierry Carrez (ttx) wrote :

We should keep java6-runtime-headless as the required virtual since java5-runtime-headless contains GIJ which isn't sufficiently compatible to work properly.

However, we should bytecode at Java 5 level to be able to use Java 5 JREs if we want to (through JAVA_HOME in /etc/default/tomcat6).

Changed in tomcat6:
assignee: nobody → tcarrez
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomcat6 - 6.0.18-0ubuntu4

---------------
tomcat6 (6.0.18-0ubuntu4) jaunty; urgency=low

  * tomcat6.init, tomcat6.postinst, tomcat6.dirs, tomcat6.default,
    README.debian: Use /tmp/tomcat6-temp instead of /var/lib/tomcat6/temp as
    the JVM temporary directory and clean it at each restart (LP: #287452)
  * policy/04webapps.policy: add rules to allow usage of java.io.tmpdir
  * tomcat6.init, rules: Do not use TearDown, as this results in
    LifecycleListener callbacks in webapps being bypassed (LP: #299436)
  * rules: Compile at Java 1.5 level to allow usage of Java 5 JREs
    (LP: #286427)
  * control, rules, libservlet2.5-java-doc.install,
    libservlet2.5-java-doc.links: New libservlet2.5-java-doc package ships
    missing Servlet/JSP API documentation (LP: #279645)
  * patches/use-commons-dbcp.patch: Change default DBCP factory class
    to org.apache.commons.dbcp.BasicDataSourceFactory (LP: #283852)
  * tomcat6.dirs, tomcat6.postinst, default_root/index.html: Create
    Catalina/localhost in /etc/tomcat6 and make it writeable by the tomcat6
    group, so that autodeploy and admin webapps work as expected (LP: #294277)
  * patches/disable-apr-loading.patch: Disable APR library loading until we
    properly provide it.
  * patches/disable-ajp-connector: Do not load AJP13 connector by default
    (LP: #300697)
  * rules: minor fixes to prevent build being called twice.

 -- Thierry Carrez <email address hidden> Thu, 27 Nov 2008 12:47:42 +0000

Changed in tomcat6:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers